Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class DomElementTransformer

public class DomElementTransformer

This class is used to tranform DOM element to DydnamicPropertySet and vice versa. This allows property inspector show and edit DOME element content as a usual bean. Further this property set can be transdormed into corresponding DOM element..

Field Summary
`final static String` | `ATTRIBUTE_NODE_TYPE`
`final static String` | `ELEMENT_NODE_TYPE`
`final static String` | `NODE_TYPE` Key name that is used to store XML node type corresponding to DynamicProperty.

Method Summary
`static DynamicPropertySet` | `doTransform(Element element, DomHelper helper, String ident)`
`static DynamicPropertySet` | `transform(Element element, DomHelper helper)`
`static Element` | `transform(DynamicPropertySet propertySet)`

Field Detail

### ATTRIBUTE_NODE_TYPE

    public final static String ATTRIBUTE_NODE_TYPE

### ELEMENT_NODE_TYPE

    public final static String ELEMENT_NODE_TYPE

### NODE_TYPE

    public final static String NODE_TYPE

  Key name that is used to store XML node type corresponding to DynamicProperty. Possible values are: ELEMENT_NODE_TYPE and ATTRIBURE_NODE_TYPE.

Method Detail

### doTransform

    public static DynamicPropertySet doTransform(Element element, DomHelper helper, String ident)

### transform

    public static DynamicPropertySet transform(Element element, DomHelper helper)

### transform

    public static Element transform(DynamicPropertySet propertySet)

  todo implement

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

  Key name that is used to store XML node type corresponding to DynamicProperty. Possible values are: ELEMENT_NODE_TYPE and ATTRIBURE_NODE_TYPE.

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM